<?php
/**
 * Copyright (c) 2015-present, Facebook, Inc. All rights reserved.
 *
 * You are hereby granted a non-exclusive, worldwide, royalty-free license to
 * use, copy, modify, and distribute this software in source code or binary
 * form for use in connection with the web services and APIs provided by
 * Facebook.
 *
 * As with any software that integrates with the Facebook platform, your use
 * of this software is subject to the Facebook Developer Principles and
 * Policies [http://developers.facebook.com/policy/]. This copyright notice
 * shall be included in all copies or substantial portions of the software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *
 */

namespace FacebookAds\Object\Values;

use FacebookAds\Enum\AbstractEnum;

/**
 * This class is auto-generated.
 *
 * For any issues or feature requests related to this class, please let us know
 * on github and we'll fix in our codegen framework. We'll not be able to accept
 * pull request for this class.
 *
 * @method static AdCreativeCallToActionTypeValues getInstance()
 */
class AdCreativeCallToActionTypeValues extends AbstractEnum {

  const ADD_TO_CART = 'ADD_TO_CART';
  const APPLY_NOW = 'APPLY_NOW';
  const BOOK_TRAVEL = 'BOOK_TRAVEL';
  const BUY = 'BUY';
  const BUY_NOW = 'BUY_NOW';
  const BUY_TICKETS = 'BUY_TICKETS';
  const CALL = 'CALL';
  const CALL_ME = 'CALL_ME';
  const CALL_NOW = 'CALL_NOW';
  const CONTACT = 'CONTACT';
  const CONTACT_US = 'CONTACT_US';
  const DONATE = 'DONATE';
  const DONATE_NOW = 'DONATE_NOW';
  const DOWNLOAD = 'DOWNLOAD';
  const EVENT_RSVP = 'EVENT_RSVP';
  const FIND_A_GROUP = 'FIND_A_GROUP';
  const FIND_YOUR_GROUPS = 'FIND_YOUR_GROUPS';
  const FOLLOW_NEWS_STORYLINE = 'FOLLOW_NEWS_STORYLINE';
  const FOLLOW_PAGE = 'FOLLOW_PAGE';
  const FOLLOW_USER = 'FOLLOW_USER';
  const GET_DIRECTIONS = 'GET_DIRECTIONS';
  const GET_OFFER = 'GET_OFFER';
  const GET_OFFER_VIEW = 'GET_OFFER_VIEW';
  const GET_QUOTE = 'GET_QUOTE';
  const GET_SHOWTIMES = 'GET_SHOWTIMES';
  const INSTALL_APP = 'INSTALL_APP';
  const INSTALL_MOBILE_APP = 'INSTALL_MOBILE_APP';
  const LEARN_MORE = 'LEARN_MORE';
  const LIKE_PAGE = 'LIKE_PAGE';
  const LISTEN_MUSIC = 'LISTEN_MUSIC';
  const LISTEN_NOW = 'LISTEN_NOW';
  const MESSAGE_PAGE = 'MESSAGE_PAGE';
  const MOBILE_DOWNLOAD = 'MOBILE_DOWNLOAD';
  const MOMENTS = 'MOMENTS';
  const NO_BUTTON = 'NO_BUTTON';
  const OPEN_LINK = 'OPEN_LINK';
  const ORDER_NOW = 'ORDER_NOW';
  const PAY_TO_ACCESS = 'PAY_TO_ACCESS';
  const PLAY_GAME = 'PLAY_GAME';
  const PURCHASE_GIFT_CARDS = 'PURCHASE_GIFT_CARDS';
  const RECORD_NOW = 'RECORD_NOW';
  const REFER_FRIENDS = 'REFER_FRIENDS';
  const REQUEST_TIME = 'REQUEST_TIME';
  const SAY_THANKS = 'SAY_THANKS';
  const SEE_MORE = 'SEE_MORE';
  const SELL_NOW = 'SELL_NOW';
  const SEND_A_GIFT = 'SEND_A_GIFT';
  const SEND_GIFT_MONEY = 'SEND_GIFT_MONEY';
  const SHARE = 'SHARE';
  const SHOP_NOW = 'SHOP_NOW';
  const SIGN_UP = 'SIGN_UP';
  const SOTTO_SUBSCRIBE = 'SOTTO_SUBSCRIBE';
  const START_ORDER = 'START_ORDER';
  const SUBSCRIBE = 'SUBSCRIBE';
  const SWIPE_UP_PRODUCT = 'SWIPE_UP_PRODUCT';
  const SWIPE_UP_SHOP = 'SWIPE_UP_SHOP';
  const UPDATE_APP = 'UPDATE_APP';
  const USE_APP = 'USE_APP';
  const USE_MOBILE_APP = 'USE_MOBILE_APP';
  const VIDEO_ANNOTATION = 'VIDEO_ANNOTATION';
  const VIDEO_CALL = 'VIDEO_CALL';
  const VISIT_PAGES_FEED = 'VISIT_PAGES_FEED';
  const WATCH_MORE = 'WATCH_MORE';
  const WATCH_VIDEO = 'WATCH_VIDEO';
  const WHATSAPP_MESSAGE = 'WHATSAPP_MESSAGE';
  const WOODHENGE_SUPPORT = 'WOODHENGE_SUPPORT';
}
